Flux 3 Max
Flux 3 Max is Black Forest Labs’ post-trained Flux 3 video model, built for high visual quality at high speed. This text-to-video variant generates 5- to 20-second clips at up to 1080p with synchronized audio.
From
$0.1276 / sec
up to $0.2175 / sec
Draft clip
$0.64
5s · 720p · audio
Production clip
$2.17
10s · 1080p · audio
Max resolution
1080p
2 options
Duration
5–20s
16 options
Audio
Native
Pricing
USD per clipResolution
Duration5s
Per clip
$0.64
5s · 720p · with audio
Per second
$0.1276
any length
| Duration | 720p | 1080p |
|---|---|---|
| Per second | $0.1276 | $0.2175 |
| 5s | ||
| 10s | ||
| 20s |
Any length from 5 to 20 seconds, priced per second. Quoted from POST /video/quote on Nov 9, 2026.
Examples
Specs
- Model ID
flux-3-max-text-to-video- Endpoint
POST /api/v1/video/queue- Mode
- Text to video
- Inputs
- Prompt
- Resolutions
- 720p, 1080p
- Durations
- 5–20s, any whole second
- Aspect ratios
- auto21:92:116:94:31:13:49:16
- Audio
- Always generated
- Added
- Oct 16, 2026
POST
/api/v1/video/queue# 1. Queue the job (returns a queue_id)
curl https://api.venice.ai/api/v1/video/queue \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "flux-3-max-text-to-video",
"prompt": "Slow aerial drone shot over a misty mountain valley at golden hour",
"duration": "5s",
"resolution": "720p",
"aspect_ratio": "auto"
}'
# 2. Poll until the MP4 is ready
curl https://api.venice.ai/api/v1/video/retrieve \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "model": "flux-3-max-text-to-video", "queue_id": "<queue_id>" }' --output video.mp4Privacy
Tier 1
Anonymized
Included
Tier 2 · this model
Private
Zero data retention, enforced by contract. Prompts and outputs aren’t stored.
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available
Variants
| Variant | Model ID | From |
|---|---|---|
flux-3-max-text-to-video | $0.1276 / sec | |
flux-3-max-image-to-video | $0.1276 / sec |